io.vertx.reactivex.ext.web.common.template

## Class TemplateEngine

- java.lang.Object
- - io.vertx.reactivex.ext.web.common.template.TemplateEngine

- Direct Known Subclasses:
    FreeMarkerTemplateEngine, HandlebarsTemplateEngine, JadeTemplateEngine, MVELTemplateEngine, PebbleTemplateEngine, RockerTemplateEngine, ThymeleafTemplateEngine

      public class TemplateEngine
      extends Object

  A template template uses a specific template and the data in a routing context to render a resource into a buffer.

  Concrete implementations exist for several well-known template engines.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<TemplateEngine>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateEngine(Object delegate)`
    `TemplateEngine(TemplateEngine delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCache()` Clears any internal caches used by this engine.
    `boolean` | `equals(Object o)`
    `TemplateEngine` | `getDelegate()`
    `int` | `hashCode()`
    `static TemplateEngine` | `newInstance(TemplateEngine arg)`
    `void` | `render(JsonObject context, String templateFileName)` Render the template.
    `void` | `render(JsonObject context, String templateFileName, Handler<AsyncResult<Buffer>> handler)` Render the template.
    `void` | `render(Map<String,Object> context, String templateFileName)` Render the template.
    `void` | `render(Map<String,Object> context, String templateFileName, Handler<AsyncResult<Buffer>> handler)` Render the template.
    `Single<Buffer>` | `rxRender(JsonObject context, String templateFileName)` Render the template.
    `Single<Buffer>` | `rxRender(Map<String,Object> context, String templateFileName)` Render the template.
    `String` | `toString()`
    `<T> T` | `unwrap()` Returns the underlying engine, so further configurations or customizations may be applied.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TemplateEngine> __TYPE_ARG

  - ### Constructor Detail

    - #### TemplateEngine

          public TemplateEngine(TemplateEngine delegate)

    - #### TemplateEngine

          public TemplateEngine(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TemplateEngine getDelegate()

    - #### render

          public void render(JsonObject context,
                             String templateFileName,
                             Handler<AsyncResult<Buffer>> handler)

      Render the template. Template engines that support partials/fragments should extract the template base path from the template filename up to the last file separator. Some engines support localization, for these engines, there is a predefined key "lang" to specify the language to be used in the localization, the format should follow the standard locale formats e.g.: "en-gb", "pt-br", "en".
      Parameters:
        `context` - the routing context
        `templateFileName` - the template file name to use
        `handler` - the handler that will be called with a result containing the buffer or a failure.

    - #### render

          public void render(JsonObject context,
                             String templateFileName)

      Render the template. Template engines that support partials/fragments should extract the template base path from the template filename up to the last file separator. Some engines support localization, for these engines, there is a predefined key "lang" to specify the language to be used in the localization, the format should follow the standard locale formats e.g.: "en-gb", "pt-br", "en".
      Parameters:
        `context` - the routing context
        `templateFileName` - the template file name to use

    - #### rxRender

          public Single<Buffer> rxRender(JsonObject context,
                                         String templateFileName)

      Render the template. Template engines that support partials/fragments should extract the template base path from the template filename up to the last file separator. Some engines support localization, for these engines, there is a predefined key "lang" to specify the language to be used in the localization, the format should follow the standard locale formats e.g.: "en-gb", "pt-br", "en".
      Parameters:
        `context` - the routing context
        `templateFileName` - the template file name to use
      Returns:

    - #### clearCache

          public void clearCache()

      Clears any internal caches used by this engine. For most engines this means clearing the vert.x cache, implementations that do not use vert.x as a cache should clear their own cache.

    - #### render

          public void render(Map<String,Object> context,
                             String templateFileName,
                             Handler<AsyncResult<Buffer>> handler)

      Render the template. Template engines that support partials/fragments should extract the template base path from the template filename up to the last file separator. Some engines support localization, for these engines, there is a predefined key "lang" to specify the language to be used in the localization, the format should follow the standard locale formats e.g.: "en-gb", "pt-br", "en".
      Parameters:
        `context` - the routing context
        `templateFileName` - the template file name to use
        `handler` - the handler that will be called with a result containing the buffer or a failure.

    - #### render

          public void render(Map<String,Object> context,
                             String templateFileName)

      Render the template. Template engines that support partials/fragments should extract the template base path from the template filename up to the last file separator. Some engines support localization, for these engines, there is a predefined key "lang" to specify the language to be used in the localization, the format should follow the standard locale formats e.g.: "en-gb", "pt-br", "en".
      Parameters:
        `context` - the routing context
        `templateFileName` - the template file name to use

    - #### rxRender

          public Single<Buffer> rxRender(Map<String,Object> context,
                                         String templateFileName)

      Render the template. Template engines that support partials/fragments should extract the template base path from the template filename up to the last file separator. Some engines support localization, for these engines, there is a predefined key "lang" to specify the language to be used in the localization, the format should follow the standard locale formats e.g.: "en-gb", "pt-br", "en".
      Parameters:
        `context` - the routing context
        `templateFileName` - the template file name to use
      Returns:

    - #### unwrap

          public <T> T unwrap()

      Returns the underlying engine, so further configurations or customizations may be applied.
      Returns:
        the engine instance.

    - #### newInstance

          public static TemplateEngine newInstance(TemplateEngine arg)

Copyright © 2021 Eclipse. All rights reserved.